> ## Documentation Index
> Fetch the complete documentation index at: https://docs-int.wingback.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Current Customer Balance

> Return all balances of a customer (one balance per currency).

export const IntRedir = () => {
  if (typeof document === "undefined") {
    return null;
  } else {
    setTimeout(() => {
      const currentUrl = new URL(window.location.href);
      if (currentUrl.hostname === 'docs-int.wingback.com') {
        currentUrl.hostname = 'docs.wingback.com';
        window.location.replace(currentUrl.toString());
      }
    }, 1);
    return <></>;
  }
};

<IntRedir />


## OpenAPI

````yaml GET /v1/c/customer/{customer_id}/balance
openapi: 3.0.3
info:
  title: wingback-api
  description: ''
  contact:
    name: ''
  license:
    name: commercial
  version: 0.1.0
servers:
  - url: http://127.0.0.1:8080
    description: Local server
  - url: https://api.app.test.wingback.com
    description: Testing server
security: []
paths:
  /v1/c/customer/{customer_id}/balance:
    get:
      tags:
        - customer
      summary: >-
        Return an array with the balances of a customer (one balance per
        currency)
      operationId: get_customer_balance
      parameters:
        - name: customer_id
          in: path
          description: Id of the Customer
          required: true
          schema:
            type: string
          example: Cust_cc871a3a-2b38-4689-a32d-14bf2e62b1ae
      responses:
        '200':
          description: Customer Balance
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/CustomerBalance'
      security:
        - api-key: []
        - wb_user_cookie: []
components:
  schemas:
    CustomerBalance:
      type: object
      description: Overview of the customer's payment status
      required:
        - wb_customer_id
        - customer_id
        - currency
        - total_invoices_ready_for_payment
        - invoices
        - deposits
      properties:
        currency:
          $ref: '#/components/schemas/Currency'
        customer_id:
          $ref: '#/components/schemas/Id'
        deposits:
          type: object
          description: List of Deposit Transactions
          additionalProperties:
            $ref: '#/components/schemas/Consolidation'
        invoices:
          type: object
          description: List of invoices
          additionalProperties:
            $ref: '#/components/schemas/Consolidation'
        total_invoices_ready_for_payment:
          type: string
          description: |-
            Sum of the totals of the invoices which are either
            without any started payment, with a payment in progress
            or with a payment failed. This is "due".
            This value can also be found in
            invoices.ready_for_payment.total
        wb_customer_id:
          $ref: '#/components/schemas/Id'
    Currency:
      type: string
      description: |-
        A supported currency

        The format for parsing and reading is the lowercased
        ISO 4217 currency code (e.g. "usd")
      enum:
        - usd
        - eur
        - gbp
        - brl
        - ars
    Id:
      type: string
      description: >-
        Unique identifier of an object. Consists of object class prefix and a
        UUID
      example: Cust_c40bea18-c0c9-44b1-bd0c-43f5283e1670
    Consolidation:
      type: object
      description: |-
        Consolidated sum of the items. Could be consolidated balance of
        several invoices, deposit transactions, etc
      required:
        - count
        - total
      properties:
        count:
          type: integer
          description: Number of consolidated items
          minimum: 0
        total:
          type: string
          description: Consolidated sum
  securitySchemes:
    api-key:
      type: apiKey
      in: header
      name: wb-key
    wb_user_cookie:
      type: apiKey
      in: cookie
      name: app-session

````